Lösung für ade4 und ape [R GNU] Installationsproblem unter Ubuntu

Hurra, endlich habe ich die Lösung gefunden das ich die beiden R GNU Packages ade4 und ape auf meinen Ubuntu 8.04 PC via CRAN installieren kann.

 

Bisher kam immer die Fehlermeldung das lRlapack nicht finden kann, und brach die Installation ab , trotz das lapack aus den Distributionsquellen installiert war.

Aber das Internet vergisst ja nix, eine zwei Jahre alter bug report Eintrag bei Kward über ein lapak Problem brachte die folgende Lösung:

>  sudo ln -s /usr/lib/R/modules/lapack.so /usr/lib/R/lib/libRlapack.so

Und jetzt lässt sich ade4 und ape Problem los installieren